<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <!--廚房單-->

    <!-- 頭單-->
    <TextView
        android:id="@+id/tv_kitchen_print_first_order"
        style="@style/Print_kitchen_table_number_text_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:text="頭單"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <!--   台號-->
    <TextView
        android:id="@+id/tv_kitchen_print_table_number"
        style="@style/Print_kitchen_table_number_text_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="外賣19"
        android:textSize="@dimen/sp_42"
        android:textStyle="bold"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_kitchen_print_first_order" />

    <!--預留-->
    <TextView
        android:id="@+id/tv_order_reserved"
        style="@style/Print_kitchen_table_number_text_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        tools:text="預存"
        android:textStyle="bold"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_kitchen_print_first_order" />

    <TextView
        android:id="@+id/tv_food_time"
        style="@style/Print_dot_matrix_normal"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="visible"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_kitchen_print_table_number"
        tools:text="盡快送達" />

    <!--落單時間-->
    <LinearLayout
        android:id="@+id/ll_order_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_food_time">

        <TextView
            android:id="@+id/tv_order_time_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="落單:" />

        <TextView
            android:id="@+id/tv_order_time"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="01-04 19:32" />
    </LinearLayout>

    <!--開台時間-->
    <LinearLayout
        android:id="@+id/ll_opening_table_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_order_time">

        <TextView
            android:id="@+id/tv_opening_time_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="開檯:" />

        <TextView
            android:id="@+id/tv_opening_time"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="01-20 12:00" />
    </LinearLayout>

    <!--人數，廚房-->
    <LinearLayout
        android:id="@+id/ll_people_and_kitchen"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_opening_table_time">

        <TextView
            android:id="@+id/tv_people_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="人數:"
            android:visibility="visible" />

        <TextView
            android:id="@+id/tv_people"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="0"
            android:visibility="visible" />

        <TextView
            android:id="@+id/tv_kitchen_location_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_20"
            android:text="廚房:"
            android:visibility="visible" />

        <TextView
            android:id="@+id/tv_kitchen_location"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=""
            android:visibility="visible" />
    </LinearLayout>

    <!--單號-->
    <LinearLayout
        android:id="@+id/ll_order"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/ll_order_time">

        <TextView
            android:id="@+id/tv_order_num_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="單號:" />

        <TextView
            android:id="@+id/tv_order_num"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="AE86"
            android:textSize="@dimen/sp_42" />
    </LinearLayout>

    <!--自取取餐碼-->
    <LinearLayout
        android:id="@+id/ll_take_code"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintLeft_toLeftOf="@+id/ll_order"
        app:layout_constraintTop_toBottomOf="@+id/ll_order">

        <TextView
            android:id="@+id/tv_take_code_text"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="取餐碼:"
            android:textSize="@dimen/sp_18"
            android:visibility="gone" />

        <TextView
            android:id="@+id/tv_take_code"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/sp_18"
            android:visibility="gone" />
    </LinearLayout>

    <!--服務員-->
    <LinearLayout
        android:id="@+id/ll_waiter"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_take_code">

        <TextView
            android:id="@+id/tv_waiter_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="服務員:" />

        <TextView
            android:id="@+id/tv_waiter"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="GSPOS" />
    </LinearLayout>

    <TextView
        android:id="@+id/line_kitchen_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:maxLines="1"
        android:text="————————————————————————————————————————————"
        android:textSize="@dimen/sp_18"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_waiter" />

    <LinearLayout
        android:id="@+id/ll_kitchen_food"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:orientation="vertical"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/line_kitchen_info" />

    <TextView
        android:id="@+id/tv_kitchen_food_end_line"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:maxLines="1"
        android:text="————————————————————————————————————————————"
        android:textSize="@dimen/sp_18"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_kitchen_food" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_20"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_kitchen_food_end_line">

        <TextView
            android:id="@+id/tv_prj_page_index"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:textSize="@dimen/sp_28"
            tools:text="1/2" />

        <TextView
            android:id="@+id/tv_kitchen_print_table_number_bottom"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="外賣19"
            android:textSize="@dimen/sp_42"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/tv_kitchen_print_quantity"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:textSize="@dimen/sp_28"
            tools:text="統計數量" />
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>